Subject: Re: bug#58364: [PATCH] Add new function 'file-name-parent-p'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Oct 2022 11:01:56 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 08 Oct 2022 07:21:01 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Philip Kaludercic <[email-masked]>
> >> Date: Fri, 07 Oct 2022 20:23:27 +0000
> >> 
> >> Unless I am mistaken, there is no direct function to quickly test if a
> >> directory is a super-directory of file.  As I have encountered this
> >> issue more than once the last few days of hacking, I would like to
> >> propose the below function.
> >
> > We have file-in-directory-p.  Doesn't that fit the bill?
> 
> I hive tried it out and yes that was the function I was looking for.  My
> apologies for the noise.

No need to apologize: no one can know and remember everything.  I only
remembered that because I recently fixed a bug in Dired which used
that function.

But perhaps our take from this is that file-in-directory-p is not
discoverable enough?  Can you describe how and where you looked for
this functionality?  Maybe if we know that, we could make some changes
to have this function pop up in similar searches.